Skip to main content
POST
/
serviceorders
Create a new Service Order
curl --request POST \
  --url https://commerce.driv.ly/api/serviceorders \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "billToCompany": "<string>",
  "consignmentCompany": "<string>",
  "invoice": "<string>",
  "service": "<string>",
  "serviceQuote": "<string>",
  "statusURL": "<string>",
  "attachments": [
    "<string>"
  ]
}
'
{
  "data": {
    "id": "<string>",
    "billToCompany": "<string>",
    "consignmentCompany": "<string>",
    "invoice": "<string>",
    "service": "<string>",
    "serviceQuote": "<string>",
    "statusURL": "<string>",
    "attachments": [
      "<string>"
    ]
  },
  "success": true
}

Query Parameters

depth
integer

The number of levels of related objects to include in the response

Body

application/json
id
string

Service Order is uniquely identified by id

billToCompany

Service Order sends Bill To Company

consignmentCompany

Service Order has Consignment Company

invoice

Invoice is issued for Service Order

service

Service is ordered in Service Order

serviceQuote

Service Order is created from Service Quote

statusURL
string<iri>

Service Order has Status URL

attachments
(string | Attachment · object)[]

Service Order has Attachment

Response

Service Order Created

data
Service Order · object
Example:
{
  "id": "sord_8d93j2k4s9d2",
  "invoice": "Invoice ID",
  "service": "Service ID",
  "statusURL": "http://example.com/status",
  "serviceQuote": "Service Quote ID",
  "billToCompany": "Company ID",
  "consignmentCompany": "Company ID"
}
success
boolean